## org.apache.myfaces.custom.aliasbean
Class AliasBeansScope

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.apache.myfaces.custom.aliasbean.AliasBeansScope

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class AliasBeansScope
extends javax.faces.component.UIComponentBase

Holds several aliases that are configured by aliasBean tags.

Version:
  $Revision: 169189 $ $Date: 2005-05-08 19:03:38 -0400 (Sun, 08 May 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: svieujot $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`AliasBeansScope()`

Method Summary
`void` `broadcast(javax.faces.event.FacesEvent event)`
`java.lang.String` `getFamily()`
`void` `processDecodes(javax.faces.context.FacesContext context)`
`void` `processRestoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `processSaveState(javax.faces.context.FacesContext context)`
`void` `processUpdates(javax.faces.context.FacesContext context)`
`void` `processValidators(javax.faces.context.FacesContext context)`
`void` `queueEvent(javax.faces.event.FacesEvent event)`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AliasBeansScope

    public AliasBeansScope()

Method Detail

### getFamily

    public java.lang.String getFamily()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

### processSaveState

    public java.lang.Object processSaveState(javax.faces.context.FacesContext context)

### processRestoreState

    public void processRestoreState(javax.faces.context.FacesContext context,
                                    java.lang.Object state)

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

### broadcast

    public void broadcast(javax.faces.event.FacesEvent event)
                   throws javax.faces.event.AbortProcessingException

  Throws:
    `javax.faces.event.AbortProcessingException`